Bug 1406810 (CVE-2016-6812) - CVE-2016-6812 apache-cxf: XSS in Apache CXF FormattedServiceListWriter
Summary: CVE-2016-6812 apache-cxf: XSS in Apache CXF FormattedServiceListWriter
Keywords:
Status: NEW
Alias: CVE-2016-6812
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1406813
Blocks: 1406817
TreeView+ depends on / blocked
 
Reported: 2016-12-21 14:32 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
64 users (show)

Fixed In Version: apache-cxf 3.0.12, apache-cxf 3.1.9
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in FormattedServiceListWriter in Apache CXF HTTP transport module that could allow an attacker to inject unexpected matrix parameters into the request URL. On a successful injection these matrix parameters will find their way back to the client in the services list page which represents an XSS risk to the client.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0868 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse/A-MQ 6.3 R2 security and bug fix update 2017-04-04 01:02:28 UTC

Description Andrej Nemec 2016-12-21 14:32:08 UTC
Apache CXF HTTP transport module uses FormattedServiceListWriter to provide an HTML page which lists the names and absolute URL addresses of the available service endpoints. The module calculates the base URL using the current HttpServletRequest. The calculated base URL is used by FormattedServiceListWriter to build the service endpoint absolute URLs. If the unexpected matrix parameters have been injected into the request URL then these matrix parameters will find their way back to the client in the services list page which represents an XSS risk to the client.

External References:

http://cxf.apache.org/security-advisories.data/CVE-2016-6812.txt.asc?version=1&modificationDate=1482164360602&api=v2

Comment 1 Andrej Nemec 2016-12-21 14:35:23 UTC
Created cxf tracking bugs for this issue:

Affects: fedora-all [bug 1406813]

Comment 4 Jason Shepherd 2016-12-22 04:32:41 UTC
By default the FormattedServiceListWriter is not used for listing JAX-WS webservices deployed to JBoss EAP 7, using the 'services/' uri path. marking EAP 7 as not affected.

Comment 5 Jason Shepherd 2016-12-22 04:39:15 UTC
Same thing for EAP 6, FormattedServicesListWriter is not used. Marking EAP 6 as not affected.

Comment 6 Jason Shepherd 2016-12-22 05:11:14 UTC
There are no running Web Services on the JON 3 Server. Marking it as not affected.

CLI Command used to confirm can be found in: https://access.redhat.com/solutions/1300433

Comment 8 errata-xmlrpc 2017-04-03 21:03:20 UTC
This issue has been addressed in the following products:



Via RHSA-2017:0868 https://access.redhat.com/errata/RHSA-2017:0868

Comment 9 Chess Hazlett 2017-12-04 17:22:43 UTC
JPP ships the offending class, but is in reduced security support (C/I). Marking it as wontfix.

Comment 10 Chess Hazlett 2017-12-05 18:35:18 UTC
JDG-6 ships, but is out of security support. Marking it as wontfix.

Comment 12 errata-xmlrpc 2018-07-02 15:51:40 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2017:0868 https://access.redhat.com/errata/RHSA-2017:0868


Note You need to log in before you can comment on or make changes to this bug.